/***
 * 将超出的文字显示为省略号
 * value 需要格式化的文字
 * return 格式化后的文字
 * */
export function ellipsis(value) {
  if (!value) return "";
  if (value.length > 20) {
    return value.slice(0, 20) + "...";
  }
  return value;
}

/***
 * 将超出的文字显示为省略号
 * value 需要格式化的文字
 * length 需要显示的长度，多余的会以省略号显示
 * return 格式化后的文字
 * */
export function ellipsisByLength(value, length) {
  if (!value) return "";
  if (value.length > length) {
    return value.slice(0, length) + "...";
  }
  return value;
}
